#!/bin/sh
CWD=`pwd`
PKG=/tmp/package-startup-notification

VERSION=0.9
ARCH=i486
BUILD=60.1


SLKCFLAGS="-O2 -march=i486 -mtune=i686"

rm -rf $PKG
mkdir -p $PKG
cd /tmp
rm -rf startup-notification-$VERSION
tar jxvf $CWD/startup-notification-$VERSION.tar.bz2
cd startup-notification-$VERSION
chown -R root.root .
find . -perm 666 -exec chmod 644 {} \;
find . -perm 664 -exec chmod 644 {} \;

CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" \
	./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var \
	$ARCH-slackware-linux
make
make install DESTDIR=$PKG

( cd $PKG
	find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : \
		| xargs strip --strip-unneeded 2> /dev/null
	find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
		| xargs strip --strip-unneeded 2> /dev/null
)

mkdir -p $PKG/install
cat << "EOF" > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

                    |-----handy-ruler------------------------------------------------------|
startup-notification: startup-notification
startup-notification:
startup-notification: Adds support for applications to use "busy" cursors while starting up.
startup-notification:
startup-notification:
startup-notification:
startup-notification:
startup-notification:
startup-notification:
startup-notification:
startup-notification:
EOF

mkdir -p $PKG/usr/src/startup-notification-$VERSION/
cp $CWD/build-startup-notification.sh $PKG/usr/src/startup-notification-$VERSION/

mkdir -p $PKG/usr/doc/startup-notification-$VERSION
cp -aR AUTHORS COPYING NEWS README $PKG/usr/doc/startup-notification-$VERSION
chmod 644 $PKG/usr/doc/startup-notification-$VERSION/*

cd $PKG
makepkg -l y -c n ../startup-notification-$VERSION-$ARCH-$BUILD.tgz
cd ..
md5sum startup-notification-$VERSION-$ARCH-$BUILD.tgz > startup-notification-$VERSION-$ARCH-$BUILD.md5
